<?php
/**
 * en_us language for the Convoy module.
 */
// Basics
$lang['Convoy.name'] = 'Convoy';
$lang['Convoy.description'] = 'Provision servers using Convoy, a Proxmox based VPS management panel';
$lang['Convoy.module_row'] = 'Server';
$lang['Convoy.module_row_plural'] = 'Servers';
$lang['Convoy.module_group'] = 'Server Group';


// Module management
$lang['Convoy.add_module_row'] = 'Add Server';
$lang['Convoy.add_module_group'] = 'Add Server Group';
$lang['Convoy.manage.module_rows_title'] = 'Servers';

$lang['Convoy.manage.module_rows_heading.name'] = 'Name';
$lang['Convoy.manage.module_rows_heading.secret'] = 'External Secret';
$lang['Convoy.manage.module_rows_heading.url'] = 'URL';
$lang['Convoy.manage.module_rows_heading.options'] = 'Options';
$lang['Convoy.manage.module_rows.edit'] = 'Edit';
$lang['Convoy.manage.module_rows.delete'] = 'Delete';
$lang['Convoy.manage.module_rows.confirm_delete'] = 'Are you sure you want to delete this Server';

$lang['Convoy.manage.module_rows_no_results'] = 'There are no Servers.';

$lang['Convoy.manage.module_groups_title'] = 'Groups';
$lang['Convoy.manage.module_groups_heading.name'] = 'Name';
$lang['Convoy.manage.module_groups_heading.module_rows'] = 'Servers';
$lang['Convoy.manage.module_groups_heading.options'] = 'Options';

$lang['Convoy.manage.module_groups.edit'] = 'Edit';
$lang['Convoy.manage.module_groups.delete'] = 'Delete';
$lang['Convoy.manage.module_groups.confirm_delete'] = 'Are you sure you want to delete this Server';

$lang['Convoy.manage.module_groups.no_results'] = 'There is no Server Group';



// Add row
$lang['Convoy.add_row.box_title'] = 'Convoy - Add Server';
$lang['Convoy.add_row.add_btn'] = 'Add Server';


// Edit row
$lang['Convoy.edit_row.box_title'] = 'Convoy - Edit Server';
$lang['Convoy.edit_row.edit_btn'] = 'Update Server';


// Row meta
$lang['Convoy.row_meta.name'] = 'Name';
$lang['Convoy.row_meta.secret'] = 'External Secret';
$lang['Convoy.row_meta.url'] = 'URL';




// Errors
$lang['Convoy.!error.name.valid'] = 'Invalid Name';
$lang['Convoy.!error.hostname.valid'] = 'Invalid Hostname';
$lang['Convoy.!error.password.valid'] = 'Invalid Password, must be at least one lowercase, one uppercase character, at least one digit, at least one special character and a minimum length of 8 characters';
$lang['Convoy.!error.secret.valid'] = 'Invalid External Secret';
$lang['Convoy.!error.url.valid'] = 'Invalid URL';
$lang['Convoy.!error.validate_connection.valid'] = 'Could not connect to the server';
$lang['Convoy.!error.module_row.missing'] = 'An internal error occurred. The module row is unavailable.';

$lang['Convoy.!error.meta[nodes].valid'] = 'You must assign at least one node';
$lang['Convoy.!error.meta[template].valid'] = 'Invalid template';
$lang['Convoy.!error.meta[cpu].valid'] = 'Invalid CPU Limit, must be a whole number';
$lang['Convoy.!error.meta[memory].valid'] = 'Invalid Memory, must be a whole or deciaml number';
$lang['Convoy.!error.meta[disk].valid'] = 'Invalid Disk, must be a whole or deciaml number';
$lang['Convoy.!error.meta[bandwidth].valid'] = 'Invalid Bandwidth, must be a whole or deciaml number';
$lang['Convoy.!error.meta[snapshots].valid'] = 'Invalid Snapshots, must be a whole number';
$lang['Convoy.!error.meta[backups].valid'] = 'Invalid Backups, must be a whole number';
$lang['Convoy.!error.meta[ipv4].valid'] = 'Invalid IPv4 Count, must be a whole number';
$lang['Convoy.!error.meta[ipv6].valid'] = 'Invalid IPv6 Count, must be a whole number';



// Service info
$lang['Convoy.service_info.name'] = 'Name';
$lang['Convoy.service_info.email'] = 'Email';
$lang['Convoy.service_info.password'] = 'Password';
$lang['Convoy.service_info.server_password'] = 'Server Password';
$lang['Convoy.service_info.ip_addresses'] = 'IP Addresses';
$lang['Convoy.service_info.login'] = 'Login';
$lang['Convoy.service_info.option_login'] = 'Login';

// Service Fields
$lang['Convoy.service_fields.server_id'] = 'Server UUID';
$lang['Convoy.service_fields.name'] = 'Name';
$lang['Convoy.service_fields.hostname'] = 'Hostname';
$lang['Convoy.service_fields.password'] = 'Password';




// Package Fields
$lang['Convoy.package_fields.nodes'] = 'Nodes';
$lang['Convoy.package_fields.template'] = 'Template';
$lang['Convoy.package_fields.cpu'] = 'CPU Limit';
$lang['Convoy.package_fields.memory'] = 'Memory (GB)';
$lang['Convoy.package_fields.disk'] = 'Disk (GB)';
$lang['Convoy.package_fields.bandwidth'] = 'Bandwidth (TB)';
$lang['Convoy.package_fields.snapshots'] = 'Snapshots';
$lang['Convoy.package_fields.backups'] = 'Backups';
$lang['Convoy.package_fields.ipv4'] = 'IPv4 Count';
$lang['Convoy.package_fields.ipv6'] = 'IPv6 Count';

$lang['Convoy.package_fields.tooltip.template'] = 'Enter the partial name of the tooltip across many nodes. For example if your nodes have "Ubuntu 20.04 LTS", "Ubuntu 20.04", "ubuntu 20.04", enter just "Ubuntu 20.04" and it will match the closest one it finds, disregarding letter casing';
